classification
Title: [Windows] test_distutils leaks a vc140.pdb file
Type: resource usage Stage: resolved
Components: Tests, Windows Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: paul.moore, steve.dower, tim.golden, vstinner, zach.ware
Priority: normal Keywords:

Created on 2017-04-21 16:17 by vstinner, last changed 2017-05-02 15:26 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1278 merged vstinner, 2017-04-24 23:38
PR 1380 merged vstinner, 2017-05-02 10:17
PR 1387 merged vstinner, 2017-05-02 13:31
PR 1388 merged vstinner, 2017-05-02 13:53
Messages (9)
msg292060 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-04-21 16:17
http://buildbot.python.org/all/builders/AMD64%20Windows8%203.x/builds/566/steps/test/logs/stdio

Warning -- files was modified by test_distutils
  Before: []
  After:  ['vc140.pdb']
msg292244 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-04-24 23:39
Ok, I found the guilty: test_build_ext, see linked PR which should fix the warning.
msg292247 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-04-25 00:11
New changeset f6448e5d65c349576df6e83b8324b9c208e77615 by Victor Stinner in branch 'master':
bpo-30132: distutils test_build_ext() uses temp_cwd() (#1278)
https://github.com/python/cpython/commit/f6448e5d65c349576df6e83b8324b9c208e77615
msg292255 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-04-25 08:52
Reopen, while the warning was fixed on AppVeyor and my Windows VM, I still see the warning on Windows buildbots.

http://buildbot.python.org/all/builders/AMD64%20Windows8%203.x/builds/578/steps/test/logs/stdio

Warning -- files was modified by test_distutils
  Before: []
  After:  ['vc140.pdb']

http://buildbot.python.org/all/builders/AMD64%20Windows10%203.x/builds/591/steps/test/logs/stdio

Warning -- files was modified by test_distutils
  Before: []
  After:  ['vc140.pdb']
msg292740 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-05-02 10:24
I'm unable to run test_distutils on Windows using python_d.exe: I get link error 1101.

LINK : fatal error LNK1101: incorrect MSPDB140.DLL version; recheck installation of this product

I ran manually the following command, but it didn't help:

   "%VS140COMNTOOLS%\..\..\VC"\vcvarsall.bat amd64 

I also tried to modify manually the PATH environment variable to only include the VC amd64 path, but it didn't work neither. I don't know how to fix the error. I don't understand how the configure the C compiler and it's hard to get good documentation on it :-/

So I wrote https://github.com/python/cpython/pull/1380 another attempt to fix the test_distutils warning.
msg292745 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-05-02 11:11
New changeset 92fd6c9ef54a857815e3dca8ee74b2b4f5cdf154 by Victor Stinner in branch 'master':
bpo-30132: distutils BuildExtTestCase use temp_cwd (#1380)
https://github.com/python/cpython/commit/92fd6c9ef54a857815e3dca8ee74b2b4f5cdf154
msg292756 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-05-02 13:50
New changeset 30768958490c658fba0fe24f1cabbdad44be22ff by Victor Stinner in branch '3.6':
bpo-30132: distutils BuildExtTestCase use temp_cwd (#1387)
https://github.com/python/cpython/commit/30768958490c658fba0fe24f1cabbdad44be22ff
msg292763 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-05-02 14:26
New changeset 3ceeb84b5a90e327ef55190105e82c926b0b8aab by Victor Stinner in branch '3.5':
bpo-30132: distutils BuildExtTestCase use temp_cwd (#1387) (#1388)
https://github.com/python/cpython/commit/3ceeb84b5a90e327ef55190105e82c926b0b8aab
msg292780 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-05-02 15:26
Ok, this issue is now fixed in 3.5, 3.6 and master (3.7).
History
Date User Action Args
2017-05-02 15:26:45vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg292780
2017-05-02 14:26:06vstinnersetmessages: + msg292763
2017-05-02 13:53:00vstinnersetpull_requests: + pull_request1495
2017-05-02 13:50:45vstinnersetmessages: + msg292756
2017-05-02 13:31:50vstinnersetpull_requests: + pull_request1494
2017-05-02 11:11:52vstinnersetmessages: + msg292745
2017-05-02 10:24:45vstinnersetmessages: + msg292740
2017-05-02 10:17:43vstinnersetpull_requests: + pull_request1488
2017-04-25 08:52:41vstinnersetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg292255
2017-04-25 00:11:27vstinnersetstatus: open -> closed
resolution: fixed
stage: resolved
2017-04-25 00:11:12vstinnersetmessages: + msg292247
2017-04-24 23:39:22vstinnersetmessages: + msg292244
2017-04-24 23:38:24vstinnersetpull_requests: + pull_request1387
2017-04-21 16:17:47vstinnersettitle: test_distutils leaks a vc140.pdb file -> [Windows] test_distutils leaks a vc140.pdb file
2017-04-21 16:17:40vstinnercreate